> For the complete documentation index, see [llms.txt](https://developers.polymath.network/polymesh-sdk-api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_permissiongroup.permissiongroup.md).

# api\_entities\_PermissionGroup.PermissionGroup

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [api/entities/PermissionGroup](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_entities_permissiongroup.md) / PermissionGroup

## Class: PermissionGroup

[api/entities/PermissionGroup](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_entities_permissiongroup.md).PermissionGroup

Represents a group of permissions for an Asset

### Hierarchy

* [`Entity`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md)<[`UniqueIdentifiers`](/polymesh-sdk-api-reference/docs-alpha/interfaces/api_entities_permissiongroup.uniqueidentifiers.md), `unknown`>

  ↳ **`PermissionGroup`**

  ↳↳ [`CustomPermissionGroup`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_custompermissiongroup.custompermissiongroup.md)

  ↳↳ [`KnownPermissionGroup`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_knownpermissiongroup.knownpermissiongroup.md)

### Table of contents

#### Properties

* [asset](#asset)
* [uuid](#uuid)

#### Methods

* [exists](#exists)
* [getPermissions](#getpermissions)
* [isEqual](#isequal)
* [toHuman](#tohuman)
* [generateUuid](#generateuuid)
* [isUniqueIdentifiers](#isuniqueidentifiers)
* [unserialize](#unserialize)

### Properties

#### asset

• **asset**: [`Asset`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset.asset.md)

Asset for which this group specifies permissions

**Defined in**

[api/entities/PermissionGroup.ts:19](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/PermissionGroup.ts#L19)

***

#### uuid

• **uuid**: `string`

**Inherited from**

[Entity](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md).[uuid](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md#uuid)

**Defined in**

[api/entities/Entity.ts:46](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Entity.ts#L46)

### Methods

#### exists

▸ `Abstract` **exists**(): `Promise`<`boolean`>

Determine whether this Entity exists on chain

**Returns**

`Promise`<`boolean`>

**Inherited from**

[Entity](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md).[exists](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md#exists)

**Defined in**

[api/entities/Entity.ts:68](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Entity.ts#L68)

***

#### getPermissions

▸ `Abstract` **getPermissions**(): `Promise`<[`GroupPermissions`](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md#grouppermissions)>

Retrieve the Permissions associated with this Permission Group

**Returns**

`Promise`<[`GroupPermissions`](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md#grouppermissions)>

**Defined in**

[api/entities/PermissionGroup.ts:35](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/PermissionGroup.ts#L35)

***

#### isEqual

▸ **isEqual**(`entity`): `boolean`

Determine whether this Entity is the same as another one

**Parameters**

| Name     | Type                                                                                                           |
| -------- | -------------------------------------------------------------------------------------------------------------- |
| `entity` | [`Entity`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md)<`unknown`, `unknown`> |

**Returns**

`boolean`

**Inherited from**

[Entity](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md).[isEqual](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md#isequal)

**Defined in**

[api/entities/Entity.ts:61](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Entity.ts#L61)

***

#### toHuman

▸ `Abstract` **toHuman**(): `unknown`

Returns Entity data in a human readable (JSON) format

**Returns**

`unknown`

**Inherited from**

[Entity](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md).[toHuman](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md#tohuman)

**Defined in**

[api/entities/Entity.ts:73](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Entity.ts#L73)

***

#### generateUuid

▸ `Static` **generateUuid**<`Identifiers`>(`identifiers`): `string`

Generate the Entity's UUID from its identifying properties

**Type parameters**

| Name          |
| ------------- |
| `Identifiers` |

**Parameters**

| Name          | Type          |
| ------------- | ------------- |
| `identifiers` | `Identifiers` |

**Returns**

`string`

**Inherited from**

[Entity](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md).[generateUuid](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md#generateuuid)

**Defined in**

[api/entities/Entity.ts:14](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Entity.ts#L14)

***

#### isUniqueIdentifiers

▸ `Static` **isUniqueIdentifiers**(`identifiers`): `boolean`

Typeguard that checks whether the object passed corresponds to the unique identifiers of the class. Must be overridden

**Parameters**

| Name          | Type      | Description          |
| ------------- | --------- | -------------------- |
| `identifiers` | `unknown` | object to type check |

**Returns**

`boolean`

**Inherited from**

[Entity](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md).[isUniqueIdentifiers](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md#isuniqueidentifiers)

**Defined in**

[api/entities/Entity.ts:42](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Entity.ts#L42)

***

#### unserialize

▸ `Static` **unserialize**<`Identifiers`>(`serialized`): `Identifiers`

Unserialize a UUID into its Unique Identifiers

**Type parameters**

| Name          |
| ------------- |
| `Identifiers` |

**Parameters**

| Name         | Type     | Description         |
| ------------ | -------- | ------------------- |
| `serialized` | `string` | UUID to unserialize |

**Returns**

`Identifiers`

**Inherited from**

[Entity](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md).[unserialize](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_entity.entity.md#unserialize)

**Defined in**

[api/entities/Entity.ts:23](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Entity.ts#L23)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_permissiongroup.permissiongroup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
